Package org.kapott.hbci.smartcardio

## Class RSAKeyData

- java.lang.Object
- - org.kapott.hbci.smartcardio.RSAKeyData

    public class RSAKeyData
    extends java.lang.Object

Author:
  axel

### Nested Class Summary

Nested Classes
`static class` `RSAKeyData.Type`

### Constructor Summary

Constructors
`RSAKeyData​(int index, RSAKeyData.Type type, byte[] keyLogData, byte[] publicKeyData)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getIndex()`
`int` `getKeyNum()`
`int` `getKeyType()`
`int` `getKeyVersion()`
`java.security.PublicKey` `getPublicKey()`
`int` `getStatus()`
`RSAKeyData.Type` `getType()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### RSAKeyData

    public RSAKeyData​(int index,
                      RSAKeyData.Type type,
                      byte[] keyLogData,
                      byte[] publicKeyData)

### Method Detail

#### getIndex

    public int getIndex()

#### getType

    public RSAKeyData.Type getType()

#### getStatus

    public int getStatus()

#### getKeyType

    public int getKeyType()

#### getKeyNum

    public int getKeyNum()

#### getKeyVersion

    public int getKeyVersion()

#### getPublicKey

    public java.security.PublicKey getPublicKey()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`